For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Atualizar Webhook do Formulário

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

webhookIdstringObrigatório

ID do webhook

Corpo
urlstringOpcional
http_methodstring · enumOpcionalValores possíveis:
content_typestring · enumOpcionalValores possíveis:
activebooleanOpcional
filterstringOpcional
synchronousbooleanOpcional
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
subtitlestringOpcional
orderinteger · int32Opcional
typestringOpcional
activebooleanOpcional
page_idstringOpcional
requiredbooleanOpcional
default_valuestringOpcional
put/forms/{formId}/webhooks/{webhookId}
PUT /api/b2b/forms/{formId}/webhooks/{webhookId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "url": "text",
  "http_method": "GET",
  "content_type": "XML",
  "active": true,
  "filter": "text",
  "synchronous": true,
  "headers": [
    {
      "id": "text",
      "name": "text",
      "value": "text"
    }
  ]
}
{
  "id": "text",
  "name": "text",
  "title": "text",
  "subtitle": "text",
  "order": 1,
  "type": "text",
  "active": true,
  "page_id": "text",
  "options": {
    "type": "MANUAL",
    "manual_options": [
      {
        "id": "text",
        "value": "text",
        "description": "text"
      }
    ],
    "database_id": "text",
    "key_field_id": "text",
    "description_field_id": "text",
    "listing_rule_id": "text"
  },
  "required": true,
  "default_value": "text",
  "advanced": {
    "content_tip": "text",
    "help_text": "text",
    "hide_field": true,
    "read_only": true,
    "compress": true,
    "move_to_new_line": true
  },
  "validation": {
    "max_limit": "text",
    "min_limit": "text",
    "type": "NONE",
    "edition_mode": "RICH_TEXT",
    "decimal_places_number": 1,
    "increment": 1,
    "multiple_selection": true
  },
  "search": {
    "image_field_id": "text",
    "field_id_1": "text",
    "field_id_2": "text",
    "field_id_3": "text",
    "field_id_4": "text",
    "field_id_5": "text"
  },
  "dependencies": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ],
  "dependency_fields": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ]
}

Excluir Webhook do Formulário

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

webhookIdstringObrigatório

ID do webhook

Respostas
204

Form webhook deleted successfully

Sem conteúdo

delete/forms/{formId}/webhooks/{webhookId}
DELETE /api/b2b/forms/{formId}/webhooks/{webhookId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Recuperar Webhook do Formulário

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Parâmetros de consulta
searchstringOpcional
sortstringOpcionalDefault: createdAt
dirstringOpcionalDefault: desc
Respostas
200

Webhooks listed

application/json
idstringOpcional
namestringOpcional
content_typestringOpcional
urlstringOpcional
http_methodstringOpcional
activebooleanOpcional
filterstringOpcional
synchronousbooleanOpcional
updated_atstring · date-timeOpcional
get/forms/{formId}/webhooks
GET /api/b2b/forms/{formId}/webhooks HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "content_type": "text",
  "url": "text",
  "http_method": "text",
  "active": true,
  "filter": "text",
  "synchronous": true,
  "headers": [
    {
      "id": "text",
      "name": "text",
      "value": "text"
    }
  ],
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Criar Webhook de Formulário

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

Corpo
content_typestring · enumOpcionalValores possíveis:
urlstringOpcional
http_methodstring · enumOpcionalValores possíveis:
activebooleanOpcional
filterstringOpcional
synchronousbooleanOpcional
Respostas
201

Criado

application/json
idstringOpcional
namestringOpcional
content_typestringOpcional
urlstringOpcional
http_methodstringOpcional
activebooleanOpcional
filterstringOpcional
synchronousbooleanOpcional
updated_atstring · date-timeOpcional
post/forms/{formId}/webhooks
POST /api/b2b/forms/{formId}/webhooks HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159

{
  "content_type": "XML",
  "url": "text",
  "http_method": "GET",
  "active": true,
  "filter": "text",
  "synchronous": true,
  "headers": [
    {
      "id": "text",
      "name": "text",
      "value": "text"
    }
  ]
}
{
  "id": "text",
  "name": "text",
  "content_type": "text",
  "url": "text",
  "http_method": "text",
  "active": true,
  "filter": "text",
  "synchronous": true,
  "headers": [
    {
      "id": "text",
      "name": "text",
      "value": "text"
    }
  ],
  "updated_at": "2026-01-01T00:00:00.000Z"
}